<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');
$can=mysqli_query($con,"SELECT MAX(mov_numero)as mov_numero FROM movimientos where empresa='$empresa'") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$mov_numero=$dato['mov_numero']+1;
$can=mysqli_query($con,"SELECT MAX(mov_id)as mov_id  FROM movimientos ") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$mov_id=$dato['mov_id']+1;

$clie_id=$_POST['clie_id'];
$clie_nombre=$_POST['clie_nombre'];
$valor=$_POST['valor'];
$detalle=$_POST['detalle'];
$forma_pago=$_POST['forma_pago'];
$fecha=date('Y-m-d H:i:s');
$clie_nota_credito=$_POST['clie_nota_credito'];

if ($valor>$clie_nota_credito ) {
    echo "<script> alert('El valor a devolver es mayor al disponible en nota credito'); </script>";
} else if ($valor<='0' ) { 
    echo "<script> alert('El valor debe ser mayor a 0'); </script>";
} else {

$saldo_nota=$clie_nota_credito-$valor;


if ($forma_pago=='efectivo') {
     $banco='Efectivo';
}
if ($forma_pago=='transferencia') {
     $banco=$_POST['banco'];
}


$sql=mysqli_query($con,"UPDATE cliente Set
               clie_nota_credito ='$saldo_nota'
                Where clie_id='$clie_id'") or  die(mysqli_error($con));

$registros=mysqli_query($con,"INSERT into movimientos (mov_id,mov_caja,mov_apertura, mov_numero,mov_fecha,mov_usuario,mov_tipo_movimiento,mov_detalle,mov_total,estado,forma_pago,medio_pago,sucursal,empresa) 
VALUES ('$mov_id','$cajas_caja_id','$apertura','$mov_numero','$fecha','$usu_id','Devolucion de efectivo','$detalle','$valor','salida','$forma_pago','$banco','$sucursal','$empresa')") or  die(mysqli_error($con));  

$registros=mysqli_query($con,"INSERT into devolucion_nota_credito (dnc_cliente,dnc_valor, dnc_fecha,mov_id,empresa) 
VALUES ('$clie_id','$valor','$fecha','$mov_id','$empresa')") or die(mysqli_error($con));  



echo '<div class="alert alert-success alert-dismissable">
<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
<strong>Dinero</strong> devuelto correctamente
</div>';

}
?>